VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "RICHTX32.OCX"
Begin VB.Form frmChild 
   Caption         =   "frmDocument"
   ClientHeight    =   3375
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5010
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3375
   ScaleWidth      =   5010
   Begin RichTextLib.RichTextBox rtfText 
      Height          =   2670
      Left            =   240
      TabIndex        =   0
      Top             =   390
      Width           =   4350
      _ExtentX        =   7673
      _ExtentY        =   4710
      _Version        =   393217
      HideSelection   =   0   'False
      ScrollBars      =   2
      AutoVerbMenu    =   -1  'True
      TextRTF         =   $"Child.frx":0000
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
End
Attribute VB_Name = "frmChild"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' MDI (Multiple Document Interface) Forms can be created by:

' In the Project menu select Add MDI Form.
' This produced frmParent in this project.
' (note the unique icon in the Project explorer)

' Add a new Form and set its MDIChild property to True.
' This produced frmChild (this form) in this project.
' (it also has a unique icon in the Project explorer)

Option Explicit

Public blnChanged As Boolean
Public blnWordWrap As Boolean

Private Sub Form_Resize()
    rtfText.Move -40, -40, Me.ScaleWidth + 80, Me.ScaleHeight + 80
    rtfText.RightMargin = rtfText.Width - 350
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    If InAnExe Then On Error GoTo JustQuit
    If blnChanged Then
        Dim Msg As Integer, sName As String

        sName = Me.Caption
        If Right(sName, 1) = "*" Then
            sName = Left(sName, Len(sName) - 2)
        End If

        Me.SetFocus
        Msg = MsgBox(sName & " has been changed!" & Chr(13) & _
            "Do you wish to save your changes?", vbYesNoCancel + _
            vbQuestion, " Save changes?")

        If Msg = vbYes Then
            frmParent.FileSave
        ElseIf Msg = vbCancel Then
            Cancel = True
        End If
    End If
JustQuit:
End Sub

Public Sub SetWordWrap()
    If InAnExe Then On Error GoTo ErrHandler
    If blnWordWrap Then
        rtfText.RightMargin = Abs(rtfText.Width - 360)
    Else
        rtfText.RightMargin = 500000
    End If
ErrHandler:
End Sub

Private Sub rtfText_Change()
    If InAnExe Then On Error GoTo ErrHandler
    If (Not blnChanged) Then
        blnChanged = True
        Me.Caption = Me.Caption & " *"
    End If
ErrHandler:
End Sub
